/*
 * Copyright (c) 2011, Rosand Technologies
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the Institute nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE INSTITUTE AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE INSTITUTE OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * This file is part of the Contiki operating system.
 *
 * Filename:      config.h
 *
 */

#ifndef CONFIG_H
#define CONFIG_H

#ifdef __cplusplus
extern "C"
{
#endif

#define CONFIG_RF_CHAN          0x00
#define CONFIG_RF_POWER         0x01
#define CONFIG_PANID            0x02
#define CONFIG_MACADDR          0x03
#define CONFIG_RF_ON            0x04
#define CONFIG_RF_OFF           0x05
#define CONFIG_RF_CCA           0x06
#define CONFIG_RF_RSSI          0x07
#define CONFIG_RF_XMIT          0x08

#define CONFIG_SET              0x00
#define CONFIG_REQUEST          0x80

#define I2C_RMOTE_ADDRESS       0x10

/* I2C Traffic request PIN */
#define I2C_REQUEST_DDR         DDRF
#define I2C_REQUEST_PORT        PORTF
#define I2C_REQUEST_PIN         PF0

void config_init(void);
void config_request(uint8_t query, uint8_t *val, uint8_t len);
void config_set(uint8_t cmd, uint8_t *val, uint8_t len);

#ifdef __cplusplus
}
#endif

/*******************************************************************************/

#endif /* CONFIG_H */

